AIScheduleDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.dao.AIScheduleDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.dao
Class AIScheduleDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.dao.AIScheduleDAO

    public class AIScheduleDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`AIScheduleDAO(DAOFactory f)`

Method Summary
`AISchedule` | `create(AppdefEntityID entityId, java.lang.String subject, java.lang.String scanName, java.lang.String scanDesc, ScheduleValue schedule, long nextFire, java.lang.String triggerName, java.lang.String jobName)`
`java.util.Collection` | `findByEntityFireTime(int type, int id, boolean asc)`
`java.util.Collection` | `findByEntityFireTimeAsc(int type, int id)` Deprecated. use findByEntityFireTime()
`java.util.Collection` | `findByEntityFireTimeDesc(int type, int id)` Deprecated. use findByEntityFireTime()
`java.util.Collection` | `findByEntityScanName(int type, int id, boolean asc)`
`AISchedule` | `findById(java.lang.Integer id)`
`AISchedule` | `findByScanName(java.lang.String name)`
`void` | `remove(AISchedule entity)`
`void` | `save(AISchedule entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIScheduleDAO

    public AIScheduleDAO(DAOFactory f)

Method Detail

### findById

    public AISchedule findById(java.lang.Integer id)

### save

    public void save(AISchedule entity)

### remove

    public void remove(AISchedule entity)

### create

    public AISchedule create(AppdefEntityID entityId,
                             java.lang.String subject,
                             java.lang.String scanName,
                             java.lang.String scanDesc,
                             ScheduleValue schedule,
                             long nextFire,
                             java.lang.String triggerName,
                             java.lang.String jobName)
                      throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### findByScanName

    public AISchedule findByScanName(java.lang.String name)

### findByEntityFireTimeDesc

    public java.util.Collection findByEntityFireTimeDesc(int type,
                                                         int id)

  Deprecated. use findByEntityFireTime()

  Parameters:
    `type` -
    `id` -
  Returns:

### findByEntityFireTimeAsc

    public java.util.Collection findByEntityFireTimeAsc(int type,
                                                        int id)

  Deprecated. use findByEntityFireTime()

  Parameters:
    `type` -
    `id` -
  Returns:

### findByEntityFireTime

    public java.util.Collection findByEntityFireTime(int type,
                                                     int id,
                                                     boolean asc)

### findByEntityScanName

    public java.util.Collection findByEntityScanName(int type,
                                                     int id,
                                                     boolean asc)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.